
TYPO3.Flow - Bug # 30929

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: MVC - Routing
Created: 2011-10-14 Assigned To: Bastian Waidelich
Updated: 2011-10-17 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Routing does not always work if splitString is optional
Description

If the route part following an identity route part optional like
{post}(.html)

the IdentityRoutePart creates a correct link but matching of the URI without the optional part fails, if the dynamic part contains the split
string (in this example if the post contains the string ".html").
Instead always the complete request path should be matched against.

Associated revisions
Revision ce14c000 - 2011-10-17 16:57 - Bastian Waidelich

[BUGFIX] Routing does not always work if splitString is optional

If the route part following an identity route part optional
like "{post}(.html)", the identityRoutePart creates a correct
link but matching of the URI without the optional part fails,
if the dynamic part contains the split string (in this example
if the post contains the string ".html").
This change fixes this by always matching against the complete
routePath with an improved RegEx.

Resolves: #30929
Change-Id: Iae4ba2652c08e8a0ba468076ae5dec6008f0ea47

History
#1 - 2011-10-14 14:48 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 2 of change Iae4ba2652c08e8a0ba468076ae5dec6008f0ea47 has been pushed to the review server.
It is available at http://review.typo3.org/5447

#2 - 2011-10-17 17:08 - Mr. Hudson

Patch set 3 of change Iae4ba2652c08e8a0ba468076ae5dec6008f0ea47 has been pushed to the review server.
It is available at http://review.typo3.org/5447
#3 - 2011-10-17 17:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ce14c0003eb87316e760985c7fa59cbee5af1a72.
